Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #936

Waveform Seekbar Plugin
January 11, 2020 08:25 - Xashyar X
Assignee: % Done: 0%

Category: Estimated time: 0.00 hour

Target version:

Affects version:

Description
AFAIK there already exists such a plugin for:

1. 1. foobar2000 (https://www.foobar2000.org/components/view/foo_wave minibar_mod)
2. 2. Deadbeaf (https://github.com/cboxdoerfer/ddb_waveform_seekbar)

Since Audacious is my main audio player, none of the above works, also a similar issue (#533) has been discarded, but no seeking

functionality was mentioned in that request. So | hope this one won't end up being closed..

History

#1 - January 14, 2020 17:47 - John Lindgren

- Status changed from New to Rejected
#533 was closed because no one stepped up to work on it. What do you think you are accomplishing by opening a new issue, but not offering any
code?

Closing for the same reason as #533.

#2 - January 21, 2020 23:33 - Ariadne Conill

Unfortunately it is not really architecturally possible at the moment. A long time ago, we had a similar plugin for the GTKUI, but the way that it worked
was really fragile and so we dropped it. Maybe someday it will be possible to have a public API for QtUIl which would allow it, but that won't happen
for 4.0.
